This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 442752 - Kernel mode setting for i915 can't find display
Kernel mode setting for i915 can't find display
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 12:36 EDT by Kevin DeKorte
Modified: 2009-05-25 10:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 10:20:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kernel messages with error messages about display not being found (96.69 KB, text/plain)
2008-04-16 12:36 EDT, Kevin DeKorte
no flags Details
Xorg.log at the same time (8.12 KB, text/plain)
2008-04-16 12:37 EDT, Kevin DeKorte
no flags Details
xorg.conf (689 bytes, text/plain)
2008-04-16 12:37 EDT, Kevin DeKorte
no flags Details

  None (edit)
Description Kevin DeKorte 2008-04-16 12:36:29 EDT
Description of problem:
Testing kernel mode setting by adding

options i915 modeset=1 in modprobe.conf

or 

i915.modeset=1 on kernel command line

Causes X not to start up

Version-Release number of selected component (if applicable):
kernel-2.6.25-0.234.rc9.git1.fc9.i686

How reproducible:
100%

Steps to Reproduce:
1. Set options
2. reboot
3.
  
Actual results:
X will not start

Expected results:
X should start

Additional info:

ServerLayout has 
Option "DRI2" "True" 
in it, otherwise everything is default
Comment 1 Kevin DeKorte 2008-04-16 12:36:29 EDT
Created attachment 302632 [details]
kernel messages with error messages about display not being found
Comment 2 Kevin DeKorte 2008-04-16 12:37:02 EDT
Created attachment 302633 [details]
Xorg.log at the same time
Comment 3 Kevin DeKorte 2008-04-16 12:37:22 EDT
Created attachment 302635 [details]
xorg.conf
Comment 4 Bug Zapper 2008-05-14 05:32:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Kevin DeKorte 2009-05-25 10:20:33 EDT
Appears to be fixed in Fedora 11

Note You need to log in before you can comment on or make changes to this bug.